Bug 1306847 - Refactor Red Hat Access Lib to be a Proxy to Restful Services on redhat.com
Refactor Red Hat Access Lib to be a Proxy to Restful Services on redhat.com
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-redhat_access_lib (Show other bugs)
Unspecified
All All
high Severity high (vote)
: 6.1.9
: --
Assigned To: Lindani Phiri
Katello QA List
: Triaged
Depends On:
Blocks: 1306850
  Show dependency treegraph
 
Reported: 2016-02-11 16:44 EST by Keith Robertson
Modified: 2017-02-23 14:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1306850 (view as bug list)
Environment:
Last Closed: 2016-05-04 16:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Robertson 2016-02-11 16:44:14 EST
The REST endpoints on redhat.com that enable the Satellite 6 Red Hat Access plug-in will sunset CORS support soon.  To ensure that the Red Hat Access plug-in, continues to function in Satellite 6 all client calls must be proxied through the Satellite 6 server to REST endpoints on redhat.com.

This BZ enables this capability.  It is important to note that the proxy will *only* proxy traffic to the approved REST endpoints on RH.com and nowhere else and this proxy is only to enable the services provided the plug-in[1]

[1] https://access.redhat.com/articles/899803
Comment 6 Mike McCune 2016-03-28 18:57:02 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Mike McCune 2016-05-04 16:11:07 EDT
This was shipped in Satellite 6.1.8:


https://access.redhat.com/errata/RHBA-2016:0475

Note You need to log in before you can comment on or make changes to this bug.